# Version SVN: $Id: defaults.yml 182 2019-03-06 08:35:02Z stefan.ganz $
defaults:
  streaming:
    name:                             Streaming
    description:
    weight:                           -9596
    params:
      streaming_enabled:
        type:                         boolean
        value:                        false
        name:                         'Enable streaming'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      streaming_protocol:
        type:                         set
        set:                          {hls: 'HLS', rtmp: 'RTMP'}
        value:                        hls
        name:                         'Priority streaming protocol'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
        secret:                       false
      streaming_path_hls:
        type:                         string
        value:                        'http://&lt;ip-address&gt;:1935/vimp/playlist.m3u8'
        name:                         'Streaming server URL for HLS'
        description:                  'The URL to the streaming server (e.g. http://&lt;ip-address&gt;:1935/vimp/playlist.m3u8)'
        editable:                     true
        system:                       false
        nullable:                     false
<?php if(stToolkit::moduleEnabled('urlSigning')): ?>
      streaming_path_hls_secure:
        type:                         string
        value:                        'http://&lt;ip-address&gt;:1935/vimp/playlist.m3u8'
        name:                         'Streaming server URL for HLS with URL Signing'
        description:                  'The URL to the streaming server (e.g. http://&lt;ip-address&gt;:1935/vimp_wrench/playlist.m3u8)'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?>
      streaming_path:
        type:                         string
        value:                        'rtmp://&lt;ip-address&gt;:1935/vimp'
        name:                         'Streaming server URL for RTMP'
        description:                  'The URL to the streaming server (e.g. rtmp://&lt;ip-address&gt;:1935/vimp)'
        editable:                     true
        system:                       false
        nullable:                     false
      streaming_pseudo_enabled:
        type:                         boolean
        value:                        false
        name:                         'Enable pseudo streaming'
        description:                  'Only needed and only works with the Flash player and with an according Apache module installed. Keep disabled, if you use the HTML5 player (default).'
        editable:                     true
        system:                       false
        nullable:                     false
<?php if(!class_exists('ProjectConfiguration')) require_once dirname(dirname(__FILE__)) . '../../../config/ProjectConfiguration.class.php'; ?>
<?php if(ProjectConfiguration::LICENSE != 'LIGHT'): ?>
      adaptive_bitrate_streaming:
        type:                         boolean
        value:                        false
        name:                         'Enable adaptive bitrate streaming'
        description:                  'If enabled, the player will have a new option in the quality selector (named Auto), which will be selected by default and will pass the quality selection to the streaming server.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?>